<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/table.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">table.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;QMainWindow&gt;</code><br />
<code>#include &quot;<a class="el" href="cardwidget_8h_source.html">cardwidget.h</a>&quot;</code><br />
<code>#include &lt;QJsonObject&gt;</code><br />
<code>#include &lt;QJsonArray&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QByteArray&gt;</code><br />
<code>#include &lt;QFile&gt;</code><br />
<code>#include &lt;QJsonValue&gt;</code><br />
<code>#include &lt;QPixmap&gt;</code><br />
<code>#include &lt;QPalette&gt;</code><br />
<code>#include &lt;QBrush&gt;</code><br />
<code>#include &lt;QPushButton&gt;</code><br />
<code>#include &lt;QString&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;numeric&gt;</code><br />
<code>#include &lt;QDirIterator&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;QPainter&gt;</code><br />
<code>#include &lt;QRandomGenerator&gt;</code><br />
<code>#include &quot;<a class="el" href="config_8h_source.html">config.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="Chat_8h_source.html">../Chat/Chat.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="NetworkService_8hpp_source.html">../network_service/NetworkService.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settingsservice_8h_source.html">settingsservice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="gamestateservice_8h_source.html">gamestateservice.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for table.h:</div>
<div class="dyncontent">
<div class="center"><img src="table_8h__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2table_8h" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2table_8h" id="frontend_2src_2lib_2Main_01Window_2table_8h">
<area shape="rect" title=" " alt="" coords="1220,5,1376,47"/>
<area shape="rect" title=" " alt="" coords="5,95,121,121"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="490,95,597,121"/>
<area shape="rect" title=" " alt="" coords="423,333,503,360"/>
<area shape="rect" title=" " alt="" coords="349,169,455,196"/>
<area shape="rect" title=" " alt="" coords="129,333,230,360"/>
<area shape="rect" title=" " alt="" coords="1115,169,1209,196"/>
<area shape="rect" title=" " alt="" coords="1124,333,1251,360"/>
<area shape="rect" title=" " alt="" coords="1728,95,1825,121"/>
<area shape="rect" title=" " alt="" coords="2907,333,2961,360"/>
<area shape="rect" title=" " alt="" coords="1059,251,1153,278"/>
<area shape="rect" title=" " alt="" coords="1849,95,1931,121"/>
<area shape="rect" title=" " alt="" coords="1955,95,2033,121"/>
<area shape="rect" title=" " alt="" coords="2057,95,2126,121"/>
<area shape="rect" title=" " alt="" coords="2151,95,2221,121"/>
<area shape="rect" title=" " alt="" coords="2246,95,2321,121"/>
<area shape="rect" title=" " alt="" coords="2345,95,2443,121"/>
<area shape="rect" title=" " alt="" coords="1385,333,1509,360"/>
<area shape="rect" title=" " alt="" coords="2467,95,2545,121"/>
<area shape="rect" title=" " alt="" coords="2569,95,2720,121"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="275,333,348,360"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="1177,251,1259,278"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="1491,95,1601,121"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="1489,244,1646,285"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="787,169,937,196"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="501,251,634,278"/>
<area shape="rect" title=" " alt="" coords="788,333,877,360"/>
<area shape="rect" title=" " alt="" coords="581,169,660,196"/>
<area shape="rect" title=" " alt="" coords="890,408,949,435"/>
<area shape="rect" title=" " alt="" coords="1789,169,1922,196"/>
<area shape="rect" title=" " alt="" coords="1946,169,2106,196"/>
<area shape="rect" title=" " alt="" coords="2131,169,2217,196"/>
<area shape="rect" title=" " alt="" coords="2241,169,2325,196"/>
<area shape="rect" title=" " alt="" coords="2349,169,2409,196"/>
<area shape="rect" title=" " alt="" coords="2433,169,2517,196"/>
<area shape="rect" title=" " alt="" coords="2542,169,2619,196"/>
<area shape="rect" title=" " alt="" coords="2644,169,2709,196"/>
<area shape="rect" title=" " alt="" coords="2734,169,2897,196"/>
<area shape="rect" title=" " alt="" coords="1437,169,1545,196"/>
<area shape="rect" title=" " alt="" coords="1570,169,1631,196"/>
<area shape="rect" title=" " alt="" coords="1655,169,1714,196"/>
<area shape="rect" title=" " alt="" coords="1534,333,1601,360"/>
<area shape="rect" title=" " alt="" coords="1625,333,1701,360"/>
<area shape="rect" title=" " alt="" coords="1275,333,1361,360"/>
<area shape="rect" title=" " alt="" coords="657,333,731,360"/>
<area shape="rect" title=" " alt="" coords="760,251,831,278"/>
<area shape="rect" title=" " alt="" coords="531,333,604,360"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="table_8h__dep__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2table_8hdep" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2table_8hdep" id="frontend_2src_2lib_2Main_01Window_2table_8hdep">
<area shape="rect" title=" " alt="" coords="295,5,451,47"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="203,95,361,136"/>
<area shape="rect" href="table_8cpp.html" title=" " alt="" coords="385,95,541,136"/>
<area shape="rect" href="hostgame_8cpp.html" title=" " alt="" coords="5,184,180,225"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="204,184,360,225"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="310,273,486,315"/>
<area shape="rect" href="lobby_8cpp.html" title=" " alt="" coords="129,273,285,315"/>
<area shape="rect" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html" title=" " alt="" coords="221,363,377,404"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="401,363,592,404"/>
</map>
</div>
</div>
<p><a href="table_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html">Table</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceUi"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceUi.html">Ui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
